kdecore Library: KConfigSkeleton::ItemDouble Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KConfigSkeleton::ItemDouble Class Reference

Class for handling a floating point preference item. More...

`#include <kconfigskeleton.h>`

List of all members.

## Public Member Functions
| ItemDouble (const QString &group, const QString &key, double &reference, double defaultValue=0)
void | readConfig (KConfig *config)
void | setProperty (const QVariant &p)
QVariant | property () const
QVariant | minValue () const
QVariant | maxValue () const
void | setMinValue (double)
void | setMaxValue (double)

## Detailed Description

Class for handling a floating point preference item.

Definition at line 627 of file kconfigskeleton.h.

## Member Function Documentation

void KConfigSkeleton::ItemDouble::readConfig | ( | KConfig * | config | ) | `[virtual]`

| This function is called by KConfigSkeleton to read the value for this setting from a config file. value. Implements KConfigSkeletonItem. Definition at line 574 of file kconfigskeleton.cpp. References KConfigSkeletonItem::readImmutability().

void KConfigSkeleton::ItemDouble::setProperty | ( | const QVariant & | p | ) | `[virtual]`

| Set item to `p`. Implements KConfigSkeletonItem. Definition at line 587 of file kconfigskeleton.cpp. References QVariant::toDouble().

QVariant KConfigSkeleton::ItemDouble::property | ( |  | ) | const`[virtual]`

| Return item as property. Implements KConfigSkeletonItem. Definition at line 592 of file kconfigskeleton.cpp.

QVariant KConfigSkeleton::ItemDouble::minValue | ( |  | ) | const`[virtual]`

| Return minimum value of item or invalid if not specified. Reimplemented from KConfigSkeletonItem. Definition at line 597 of file kconfigskeleton.cpp.

QVariant KConfigSkeleton::ItemDouble::maxValue | ( |  | ) | const`[virtual]`

| Return maximum value of item or invalid if not specified. Reimplemented from KConfigSkeletonItem. Definition at line 604 of file kconfigskeleton.cpp.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:32 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003